var trap_change = false;

// Spawns balls
function red_switch() {
    var ball = ccbGetSceneNodeFromName('ball');
    var spawner = ccbGetSceneNodeFromName('spawner');
    var pos = ccbGetSceneNodeProperty(spawner, 'Position');
    var clone = ccbCloneSceneNode(ball);
    var jitter = Math.random();

    ccbPlaySound('spawn.ogg');

    ccbSetSceneNodeProperty(
        clone, 
        'Position', 
        pos.x + jitter, 
        pos.y + jitter, 
        pos.z + jitter
    );
}

// Changes floors
function green_switch() {
    var inv_ball = ccbGetSceneNodeFromName('inv_ball');
    var spawner = ccbGetSceneNodeFromName('spawner');
    var pos = ccbGetSceneNodeProperty(spawner, 'Position');
    var clone = ccbCloneSceneNode(inv_ball);
    var trapdoor = ccbGetSceneNodeFromName('trapdoor');

    if (trap_change == false) {

        ccbPlaySound('bloop.ogg');

        ccbSetSceneNodeProperty(trapdoor, "Position", 0, -100.0, 0);

        ccbSetSceneNodeProperty(
            clone, 
            'Position', 
            pos.x, 
            pos.y - 35, 
            pos.z
        );

        trap_change = true;

    } else {

        ccbPlaySound('bloop.ogg');

        ccbSetSceneNodeProperty(trapdoor, "Position", 0, 0, 0);

        trap_change = false;
    }
}